Bug 199632 - Review Request: ClanLib06 - Version 0.6 of this Cross platform C++ game library
Review Request: ClanLib06 - Version 0.6 of this Cross platform C++ game library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199732 199797
  Show dependency treegraph
 
Reported: 2006-07-20 16:42 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 10:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-07-20 16:42:03 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ClanLib06.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ClanLib06-0.6.5-1.src.rpm
Description:
Version 0.6 of this cross platform C++ game library, which is still used
by many games.

---

What a PITA, it has cost me 2 days to get this and the current ClanLib-0.8 packaged in such a way that the 2 clanlibs are parallel installable and some test apps compiled and tested.

Tomorrow I'll start working on pingus (from the FE wishlist), clanbomber and auriferous (loderunner inspired game) packages.

I'm also submitting the current ClanLib-0.8 for review it might be best to review these 2 together.
Comment 1 Hans de Goede 2006-07-20 17:02:28 EDT
The other CLanLib review is under bug 199630 .
Comment 2 Paul F. Johnson 2006-07-20 19:02:29 EDT
Blocker : needs BR lua

Possible fault. You haved defined ARCH_CONFIG_FLAGS in the %ifarch construct and
passed to the configure line. On a non x86 machine, ARCH_CONFIG_FLAGS is
undefined which may upset things somewhat!

Comment 3 Hans de Goede 2006-07-21 01:34:42 EDT
(In reply to comment #2)
> Blocker : needs BR lua
> 

Actually that would be tolua++-devel, but indeed I forgot that one I'll addit
together with other needed fixes once a full review has been done.

> Possible fault. You haved defined ARCH_CONFIG_FLAGS in the %ifarch construct
> and passed to the configure line. On a non x86 machine, ARCH_CONFIG_FLAGS is
> undefined which may upset things somewhat!
> 
> 

Being non-defined bash will expand it to an empty string, which is just waht we
want.
Comment 4 Hans de Goede 2006-07-21 13:44:16 EDT
I just submitted clanbomber for review which uses this, might be handy for
testing, see bug 199732
Comment 5 Paul F. Johnson 2006-07-23 03:31:39 EDT
I can't get this application to compile. When it runs through the configure
script, it reports that it needs Hermes-1.3.0 or newer.

You'll need to find and submit Hermes-1.3.0 (or newer) and add that (and
tolua++-devel) to the BRs
Comment 6 Hans de Goede 2006-07-23 04:00:51 EDT
??? I could have sworn I added Hermes to the BuildRequires. But appearantly I
forgot that one I'll add it (and tolua++) together with other needed fixes once
a full review has been done.

To get it for the review just do "yum install Hermes-devel", its already in Fe
with a capatial H
Comment 7 Paul F. Johnson 2006-07-23 06:47:46 EDT
It'll now build and rpmlint is happy with all of the packages created.

I've made the alterations to the spec file so both tolua++-devel and
Hermes-devel are in the BRs and will get back to you on how it works under mock.

Can you also make the BR alteration changes and upload the new spec file?

One other thing. You have provides: clanlib06 = {version}-{release}. That's
okay, but why is it clanlib06 and not ClanLib06 as the spec file and other
references inside the spec file call it?
Comment 8 Paul F. Johnson 2006-07-23 09:36:36 EDT
mock build fails : line 45 autoconf : command cannot be found
Comment 9 Hans de Goede 2006-07-23 13:55:40 EDT
(In reply to comment #7)
> One other thing. You have provides: clanlib06 = {version}-{release}. That's
> okay, but why is it clanlib06 and not ClanLib06 as the spec file and other
> references inside the spec file call it?

Since it _is_ ClanLib06 it will automaticly provide CLanLib06, the lowercase
provide is there exactly for what it is to provide a lowercase alternative to
people who prefer all lowercase names. The guidelines have recently been updated
saying that its ok to have names containing uppercase when upstream uses
uppercase consistenly, but that a full lowercase provides should be present. The
reasoning behind this was to stop problems like you where having with _H_ermes.

About autoconf, missing BR. Sorry about all these missing BR's if I had a better
internet conenction myself I would try things in mock myself :|

Anyways here is a new version which hopefully will build in mock:

Spec URL: http://people.atrpms.net/~hdegoede/ClanLib06.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ClanLib06-0.6.5-2.src.rpm

Changes:
* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-2
- Add missing BRs: tolua++-devel, Hermes-devel and autoconf



Comment 10 Hans de Goede 2006-07-23 16:39:19 EDT
I've found a problem when running on i386-devel with default SELinux settings.

Here is a new release which fixes this (in combination with a soon to be pushed
new Hermes):

Spec URL: http://people.atrpms.net/~hdegoede/ClanLib06.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ClanLib06-0.6.5-3.src.rpm

Changes:
* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-3
- Mark asm files as NOT needing execstack, making us OK with new default
  SELinux targeted policy settings.
Comment 11 Paul F. Johnson 2006-07-23 17:51:47 EDT
rpmlint is warning me the src.rpm is mod 0666 instead of 0664 for the spec file

One thing I did notice during the build and that is debugging is turned off
while building, yet a debuginfo package is available. Surely this should not occur.


Comment 12 Hans de Goede 2006-07-24 00:25:03 EDT
(In reply to comment #11)
> rpmlint is warning me the src.rpm is mod 0666 instead of 0664 for the spec file
> 
Strange I'll fix that before import.

> One thing I did notice during the build and that is debugging is turned off
> while building, yet a debuginfo package is available. Surely this should not
occur.
> 

This means that special debugging checks and printf have been turned off, even
without these extra checks it is still usefull to have a package with the
addresses of symbols and line number <-> asm offsets table, so that one can
descently run it through a debugger, that is what debuginfo packages are for.

Comment 13 Paul F. Johnson 2006-07-24 01:58:29 EDT
mock built the package without a hiccup. As long as you fix the spec file, I'm
happy for this to be released

APPROVED
Comment 14 Hans de Goede 2006-07-24 10:43:56 EDT
Thanks!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.